-- This Source Code Form is subject to the terms of the bCDDL, v. 1.1.
-- If a copy of the bCDDL was not distributed with this
-- file, You can obtain one at http://beamng.com/bCDDL-1.1.txt

local M = {}

local function init()
	electrics.values['spot'] = 0
end

local function reset()
	init()
end

local function updateGFX(dt)
	electrics.values['spot'] = math.min(1, math.max(-0.1, (electrics.values['spot'] + electrics.values['turnsignal'] * dt * 0.4)))
end

-- public interface
M.init      = init
M.reset     = reset
M.updateGFX = updateGFX

return M